image: nvidia/opengl:devel

stages:
  - build

cache:
  paths:
    - apt-cache/

build:
  stage: build
  script:
    - apt update && apt -o dir::cache::archives="apt-cache" install -y build-essential cmake
    - gcc --version
    - mkdir -p build && cd build && cmake -DCMAKE_BUILD_TYPE=Release .. && make -j
